Subject: Re: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 3 Apr 2020 03:11:46 +0200

On Fri, Apr 03, 2020 at 02:38:16AM +0200, pelzflorian (Florian Pelz) wrote:
> For me there’s no regression because keyboard layouts never worked

Maybe there is a regression for at_keyboard users.

For usb_keyboard: I believe it would be easier to ignore the wrong
keyboard layout for the GRUB command-line and to resolve the layout
issue for the passphrase by not requiring one.  That is (as a default)
installing GRUB on the unencrypted EFI System Partition.  AFAIK this
is currently not possible.  It would require copying all references of
grub.cfg to the EFI System Partition instead of the encrypted Store.
On non-EFI systems, this would make it necessary to have a separate
boot partition when using encryption.

Regards,
Florian